summaryrefslogtreecommitdiff
path: root/bootstrap-arch32-trust
diff options
context:
space:
mode:
authorErich Eckner <erich.eckner.ext@bestsecret.com>2024-08-07 08:30:20 +0200
committerErich Eckner <erich.eckner.ext@bestsecret.com>2024-08-07 08:30:20 +0200
commitdad0e7c8f407ac9827d79d484144b9200f4b6cb9 (patch)
treefaa14d3107cfbf10bace6e97c0f6eba9f3737128 /bootstrap-arch32-trust
parente53f0edb5345eec170e88ff4436331a851cd5386 (diff)
downloadarch32-slave-dad0e7c8f407ac9827d79d484144b9200f4b6cb9.tar.xz
bootstrap [releng]
Diffstat (limited to 'bootstrap-arch32-trust')
-rwxr-xr-xbootstrap-arch32-trust16
1 files changed, 16 insertions, 0 deletions
diff --git a/bootstrap-arch32-trust b/bootstrap-arch32-trust
new file mode 100755
index 0000000..f8f630f
--- /dev/null
+++ b/bootstrap-arch32-trust
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+keyring=$(
+ curl -Ss 'https://mirror.archlinux32.org/x86_64/releng/' \
+ | tr '"' '\n' \
+ | grep '^archlinux32-keyring-.*-any\.pkg\.tar\.zst$' \
+ | grep -vwF transition \
+ | sort \
+ | tail -n1
+)
+
+curl -o "/${keyring}" "https://mirror.archlinux32.org/x86_64/releng/${keyring}"
+pacman -U --noconfirm "/${keyring}"
+rm "/${keyring}"